{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 96{COM_R 2 0{TEXT 1 121 "This worksheet co
ntains the Maple commands from Chapter 7 of Introduction to Scien
tific Programming by Joseph L. Zachary."}}{SEP_R 3 0}{COM_R 4 0
{TEXT 1 87 "\015(7.7)  We use \"solve\" to find the two times at \+
which a projectile is at ground level.\015"}}{INP_R 5 0 "> "{TEXT
 0 43 "solve(V*t*sin(theta) - (1/2)*g*t^2 = 0, t);"}}{SEP_R 6 0}
{COM_R 7 0{TEXT 1 271 "\015(7.9)  We create a function \"horizont
al\" that returns the horizonal position in meters of a projectil
e \"t\" seconds after it is fired with initial speed \"V\" m/sec \+
and initial angle \"theta\" radians.  This function ignores what \+
happens when the projectile hits the ground.\015"}}{INP_R 8 0 "> \+
"{TEXT 0 50 "horizontal := (V, theta, t) -> V * t * cos(theta);"}
}{SEP_R 9 0}{COM_R 10 0{TEXT 1 270 "\015(7.10)  We create a funct
ion \"vertical\" that returns the vertical position in meters of \+
a projectile \"t\" seconds after it is fired with initial speed \
"V\" m/sec and initial angle \"theta\" radians.  This function ig
nores what happens when the projectile hits the ground. \015"}}
{INP_R 11 0 "> "{TEXT 0 64 "vertical := (V, theta, t) -> V * t * \+
sin(theta) - 1/2 * g * t^2;"}}{SEP_R 12 0}{COM_R 13 0{TEXT 1 196 
"\015(7.11)  We create a function \"duration\" that reports the t
ime in seconds that elapses before a projectile fired with initia
l speed \"V\" m/sec and an initial angle \"theta\" radians hits t
he ground.\015"}}{INP_R 14 0 "> "{TEXT 0 49 "duration := (V, thet
a) -> 2 * V * sin(theta) / g;"}}{SEP_R 15 0}{COM_R 16 0{TEXT 1 88
 "\015(7.12)  The horizontal position of a projectile fired strai
ght up will always be zero.\015"}}{INP_R 17 0 "> "{TEXT 0 26 "hor
izontal(100, Pi/2, 10);"}}{SEP_R 18 0}{COM_R 19 0{TEXT 1 127 "\01
5(7.13)  We calculate the horizontal position after 10 seconds of
 a projectile fired at 45 degrees with a speed of 100 m/sec. \015
"}}{INP_R 20 0 "> "{TEXT 0 26 "horizontal(100, Pi/4, 10);"}}
{SEP_R 21 0}{COM_R 22 0{TEXT 1 113 "\015(7.14)  Trigonometric fun
ctions such as \"cos\" give exact answers if their parameters are
 exact multiples of pi.\015"}}{INP_R 23 0 "> "{TEXT 0 10 "cos(Pi/
4);"}}{SEP_R 24 0}{COM_R 25 0{TEXT 1 85 "\015(7.15)  The form of \+
this result is a consequence of the observation from (7.14) ...\0
15"}}{INP_R 26 0 "> "{TEXT 0 26 "horizontal(100, Pi/8, 10);"}}
{SEP_R 27 0}{COM_R 28 0{TEXT 1 43 "\015(7.16) ... as is the form \+
of this result.\015"}}{INP_R 29 0 "> "{TEXT 0 27 "horizontal(100,
 Pi/16, 10);"}}{SEP_R 30 0}{COM_R 31 0{TEXT 1 84 "\015(7.17)  We \+
use \"evalf\" to convert the result from (7.13) into floating-poi
nt form.\015"}}{INP_R 32 0 "> "{TEXT 0 33 "evalf(horizontal(100, \+
Pi/4, 10));"}}{SEP_R 33 0}{COM_R 34 0{TEXT 1 144 "\015(7.18)  The
 symbolic constant \"g\" appears in this result because \"g\" is \+
used in the implementation of \"vertical\" but is nowhere given a
 value.\015"}}{INP_R 35 0 "> "{TEXT 0 31 "evalf(vertical(100, Pi/
4, 10));"}}{SEP_R 36 0}{COM_R 37 0{TEXT 1 121 "\015(7.19)  The sy
mbolic constant \"g\" appears in this result for the same reason \+
that it appeared in the result of (7.18). \015"}}{INP_R 38 0 "> "
{TEXT 0 24 "vertical(100, Pi/4, 10);"}}{SEP_R 39 0}{COM_R 40 0
{TEXT 1 310 "\015(7.20)  This illustrates in a bit more detail wh
at happens when the call to \"vertical\" from (7.19) is made.  Ma
ple substitutes 100 for \"V\", Pi/4 for \"theta\", and 10 for \"t
\" in the body of \"vertical\", which results in the following ex
pression.  Maple then evaluates the expression as if it had been \+
typed in. \015"}}{INP_R 41 0 "> "{TEXT 0 38 "100 * 10 * sin(Pi/4)
 - 1/2 * g * 10^2;"}}{SEP_R 42 0}{COM_R 43 0{TEXT 1 49 "\015(7.21
)  We assign \"g\" a value of 9.8 m/sec/sec.\015"}}{INP_R 44 0 ">
 "{TEXT 0 9 "g := 9.8;"}}{SEP_R 45 0}{COM_R 46 0{TEXT 1 62 "\015(
7.22)  Now when we repeat (7.18) we get a numerical answer.\015"}
}{INP_R 47 0 "> "{TEXT 0 31 "evalf(vertical(100, Pi/4, 10));"}}
{SEP_R 48 0}{COM_R 49 0{TEXT 1 114 "\015(7.23)  This calculates t
he duration of the flight of a projectile fired at 100 m/sec at a
n angle of 45 degrees.\015"}}{INP_R 50 0 "> "{TEXT 0 27 "evalf(du
ration(100, Pi/4));"}}{SEP_R 51 0}{COM_R 52 0{TEXT 1 170 "\015(7.
24)  We might have chosen to define \"vertical\" so that accelera
tion due to gravity was coded directly in, instead of using the f
ree variable \"g\" as we did in (7.10).\015"}}{INP_R 53 0 "> "
{TEXT 0 66 "vertical := (V, theta, t) -> V * t * sin(theta) - 1/2
 * 9.8 * t^2;"}}{SEP_R 54 0}{COM_R 55 0{TEXT 1 116 "\015(7.25)  W
e might also have chosen to define \"vertical\" so that accelerat
ion due to gravity was a fourth parameter.\015"}}{INP_R 56 0 "> "
{TEXT 0 67 "vertical := (V, theta, t, g) -> V * t * sin(theta) - \+
1/2 * g * t^2;"}}{SEP_R 57 0}{COM_R 58 0{TEXT 1 68 "\015Let's rev
ert to the original definition of \"vertical\" from (7.10).\015"}
}{INP_R 59 0 "> "{TEXT 0 65 " vertical := (V, theta, t) -> V * t \+
* sin(theta) - 1/2 * g * t^2;"}}{SEP_R 60 0}{COM_R 61 0{TEXT 1 76
 "\015(7.26)  Because \"t\" is symbolic, the result here is given
 in terms of \"t\".\015"}}{INP_R 62 0 "> "{TEXT 0 23 "vertical(10
0, Pi/4, t);"}}{SEP_R 63 0}{COM_R 64 0{TEXT 1 191 "\015(7.27)  Th
e first parameter to this form of \"plot\" must be a symbolic exp
ression in the independent variable.  This variable is identified
, and its range specified, by the second parameter.\015"}}{INP_R 
65 0 "> "{TEXT 0 38 "plot(vertical(100, Pi/4, t), t=0..20);"}}
{SEP_R 66 0}{COM_R 67 0{TEXT 1 222 "\015(7.28)  The plot from (7.
27) shows the height of the projectile as if it continues falling
 even after it hits the ground.  Here we specify bounds on \"time
\" that correspond only to the duration of the projectile's fligh
t.\015"}}{INP_R 68 0 "> "{TEXT 0 69 "plot(vertical(100, Pi/4, tim
e),\012        time=0..duration(100, Pi/4));"}}{SEP_R 69 0}{COM_R
 70 0{TEXT 1 138 "\015(7.29)  We repeat (7.28), but use the \"lab
els\" and \"title\" options to give better labels to the axes and
 to include a title in the plot.\015"}}{INP_R 71 0 "> "{TEXT 0 
163 "plot(vertical(100, Pi/4, time),\012        time=0..duration(
100, Pi/4),\012        labels=[`time (seconds)`,  `height (meters
)`],\012        title=`45 degrees; 100 m/sec`);"}}{SEP_R 72 0}
{COM_R 73 0{TEXT 1 256 "\015(7.30)  We include three different cu
rves in a single plot by specifying three different dependent exp
ressions as the first parameter to \"plot\".  (The expressions ar
e enclosed in braces.)  Unfortunately, two of the height curves e
xtend below the ground. \015"}}{INP_R 74 0 "> "{TEXT 0 239 "plot(
\{vertical(100, Pi/6, t),\012          vertical(100, Pi/4, t),\01
2          vertical(100, Pi/3, t)\},\012        t=0..duration(100
, Pi/3),\012        labels=[`time (seconds)`,  `height (meters)`]
,\012        title=`30, 45, and 60 degrees; 100 m/sec`);"}}{SEP_R
 75 0}{COM_R 76 0{TEXT 1 137 "\015(7.31)  We repeat (7.30), but w
e modify the three dependent expressions by using \"max\" to ensu
re their values are never less than zero.\015"}}{INP_R 77 0 "> "
{TEXT 0 266 "plot(\{max(0, vertical(100, Pi/6, t)),\012          \+
max(0, vertical(100, Pi/4, t)),\012          max(0, vertical(100,
 Pi/3, t))\},\012         t=0..duration(100, Pi/3),\012         l
abels=[`time (seconds)`,  `height (meters)`],\012         title=`
30, 45, and 60 degrees; 100 m/sec`);"}}{SEP_R 78 0}{COM_R 79 0
{TEXT 1 135 "\015(7.32)  On the same plot, we show the horizontal
 and vertical positions of a projectile fired at 100 m/sec at an \+
angle of 45 degrees.\015"}}{INP_R 80 0 "> "{TEXT 0 200 "plot(\{ho
rizontal(100, Pi/4, t),\012          vertical(100, Pi/4, t)\},\01
2         t=0..duration(100, Pi/4),\012         labels=[`time (se
conds)`,  `position (meters)`],\012         title=`45 degrees; 10
0 m/sec`);"}}{SEP_R 81 0}{COM_R 82 0{TEXT 1 350 "\015(7.33)  We c
reate a parametric plot using the dependent expressions from (7.3
2).  We do this by enclosing the two dependent expressions and th
e time range in square brackets.  The horizontal position is plot
ted against the horizonal axis, and the vertical position is plot
ted against the vertical axis.  Time does not appear explicitly i
n the plot.\015"}}{INP_R 83 0 "> "{TEXT 0 202 "plot([horizontal(1
00, Pi/4, t),\012          vertical(100, Pi/4, t),\012          t
=0..duration(100, Pi/4)],\012         labels=[`distance (meters)`
,  `height (meters)`],\012         title=`45 degrees; 100 m/sec`)
;"}}{SEP_R 84 0}{COM_R 85 0{TEXT 1 229 "\015(7.34)  On the same p
lot, we put three different parametric plots.  We do this by encl
osing three parametric specifications (as in (7.33)) in braces.  \+
We also constrain the plot so that the scales on the two axes are
 identical.\015"}}{INP_R 86 0 "> "{TEXT 0 470 "plot(\{[horizontal
(100, Pi/6, t),\012           vertical(100, Pi/6, t),\012        \+
   t=0..duration(100, Pi/6)],\012          [horizontal(100, Pi/4,
 t),\012           vertical(100, Pi/4, t),\012           t=0..dur
ation(100, Pi/4)],\012          [horizontal(100, Pi/3, t),\012   \+
        vertical(100, Pi/3, t),\012           t=0..duration(100, \+
Pi/3)]\},\012          labels=[`distance (meters)`, `height (mete
rs)`],\012          title=`30, 45, and 60 degrees; 100 m/sec`,\01
2          scaling=constrained);"}}{SEP_R 87 0}{COM_R 88 0{TEXT 1
 77 "\015(7.35)  Among other things, this gives us access to the \+
\"animate\" function.\015"}}{INP_R 89 0 "> "{TEXT 0 12 "with(plot
s);"}}{SEP_R 90 0}{COM_R 91 0{TEXT 1 329 "\015(7.36)  We create a
n animation showing how the height of a projectile depends on bot
h time and the initial angle of its trajectory.  In each frame of
 the animation, a plot of the height of the projectile against ti
me for a particular initial angle is shown.  During the animation
, the initial angle varies from 0 to 90 degrees.\015"}}{INP_R 92 
0 "> "{TEXT 0 228 "animate(max(0, vertical(100, angle, t)),\012  \+
              t=0..duration(100, Pi/2),\012                angle=
0..Pi/2,\012                labels=[`time (seconds)`,  `height (m
eters)`],\012                title=`0...90 degrees; 100 m/sec`);"
}}{SEP_R 93 0}{COM_R 94 0{TEXT 1 301 "\015(7.37)  We create an an
imation showing how the trajectory of a projectile depends on bot
h time and the the initial angle of its trajectory.  In each fram
e of the animation, a parametric plot of the projectile's positio
n is shown.  During the animation, the initial angle varies from \+
0 to 90 degrees.\015"}}{INP_R 95 0 "> "{TEXT 0 276 "animate([hori
zontal(100, angle, t),\012                 max(0, vertical(100, a
ngle, t)),\012                 t=0..duration(100, Pi/2)],\012    \+
            angle=0..Pi/2,\012                labels=[`distance (
meters)`, `height (meters)`],\012                title=`0..90 deg
rees; 100 m/sec`);"}}{SEP_R 96 0}{INP_R 97 0 "> "{TEXT 0 0 ""}}}
{END}
